Bug 129399 - bttv time out
bttv time out
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-07 17:49 EDT by David Juran
Modified: 2015-01-04 17:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:08:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2004-08-07 17:49:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
When starting up tvtime after updating to kernel-2.6.7-1.494.2.2 it
crashes. With kernel-smp-2.6.6-1.435.2.3 it worked just fine.

Snippet from syslog...

Aug  7 23:35:09 h202n1fls29o1079 kernel: Linux video capture
interface: v1.00
Aug  7 23:35:09 h202n1fls29o1079 kernel: bttv: driver version 0.9.15
loaded
Aug  7 23:35:09 h202n1fls29o1079 kernel: bttv: using 8 buffers with
2080k (520 pages) each for capture
Aug  7 23:35:09 h202n1fls29o1079 kernel: bttv: Bt8xx card found (0).
Aug  7 23:35:09 h202n1fls29o1079 kernel: ACPI: PCI interrupt
0000:00:09.0[A] -> GSI 19 (level, low) -> IRQ 19
Aug  7 23:35:09 h202n1fls29o1079 kernel: bttv0: Bt878 (rev 17) at
0000:00:09.0, irq: 19, latency: 32, mmio: 0xdf000000
Aug  7 23:35:09 h202n1fls29o1079 kernel: bttv0: detected: Hauppauge
WinTV [card=10], PCI subsystem ID is 0070:13eb
Aug  7 23:35:09 h202n1fls29o1079 kernel: bttv0: using: Hauppauge
(bt878) [card=10,autodetected]
Aug  7 23:35:09 h202n1fls29o1079 kernel: bttv0: Hauppauge/Voodoo
msp34xx: reset line init [5]
Aug  7 23:35:10 h202n1fls29o1079 kernel: bttv0: Hauppauge eeprom:
model=44354, tuner=Philips FM1216 (5), radio=yes
Aug  7 23:35:10 h202n1fls29o1079 kernel: bttv0: using tuner=5
Aug  7 23:35:10 h202n1fls29o1079 kernel: bttv0: i2c: checking for
MSP34xx @ 0x80... found
Aug  7 23:35:10 h202n1fls29o1079 kernel: msp34xx: init:
chip=MSP3415D-B3 +nicam +simple
Aug  7 23:35:10 h202n1fls29o1079 kernel: msp3410: daemon started
Aug  7 23:35:10 h202n1fls29o1079 kernel: bttv0: i2c: checking for
TDA9875 @ 0xb0... not found
Aug  7 23:35:10 h202n1fls29o1079 kernel: bttv0: i2c: checking for
TDA7432 @ 0x8a... not found
Aug  7 23:35:10 h202n1fls29o1079 kernel: tvaudio: TV audio decoder +
audio/video mux driver
Aug  7 23:35:10 h202n1fls29o1079 kernel: tvaudio: known chips:
tda9840,tda9873h,tda9874h/a,tda9850,tda9855,tea6300,tea6420,tda8425,pic16c54
(PV951),ta8874z
Aug  7 23:35:10 h202n1fls29o1079 kernel: tuner: chip found at addr
0xc2 i2c-bus bt878 #0 [sw]
Aug  7 23:35:10 h202n1fls29o1079 kernel: tuner: type set to 5 (Philips
PAL_BG (FI1216 and compatibles)) by bt878 #0 [sw]
Aug  7 23:35:10 h202n1fls29o1079 kernel: bttv0: registered device video0
Aug  7 23:35:10 h202n1fls29o1079 kernel: bttv0: registered device vbi0
Aug  7 23:35:10 h202n1fls29o1079 kernel: bttv0: registered device radio0
Aug  7 23:35:10 h202n1fls29o1079 kernel: bttv0: PLL: 28636363 =>
35468950 .. ok
Aug  7 23:35:11 h202n1fls29o1079 kernel: bttv0: timeout: drop=0
irq=0/0, risc=2444c03c, bits: FMTCHG VSYNC HSYNC OFLOW HLOCK VPRES RISCI
Aug  7 23:35:11 h202n1fls29o1079 kernel: bttv0: reset, reinitialize


And then it keeps on reinitializing a coupple of times...

output from lspci:

00:09.0 Multimedia video controller: Brooktree Corporation Bt878 Video
Capture (rev 11)
        Subsystem: Hauppauge computer works Inc. WinTV Series
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (4000ns min, 10000ns max)
        Interrupt: pin A routed to IRQ 19
        Region 0: Memory at df000000 (32-bit, prefetchable)
        Capabilities: [44] Vital Product Data
        Capabilities: [4c] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 
00:09.1 Multimedia controller: Brooktree Corporation Bt878 Audio
Capture (rev 11)
        Subsystem: Hauppauge computer works Inc. WinTV Series
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (1000ns min, 63750ns max)
        Interrupt: pin A routed to IRQ 19
        Region 0: Memory at de800000 (32-bit, prefetchable)
        Capabilities: [44] Vital Product Data
        Capabilities: [4c] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-


Version-Release number of selected component (if applicable):
kernel-smp-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1. start tvtime
2. watch it die with segmentation fault
3. take a look in syslog
    

Additional info:
Comment 1 David Juran 2004-08-07 18:46:20 EDT
My mistake, this happens with the old kernel as well. Suddenly the
picture freezes and those masages about bttv timing out come up. Am I
crazy to think this was triggered by touching my USB mouse?
Comment 2 David Juran 2004-08-08 19:28:19 EDT
Just noticed this in the syslog.

Aug  8 11:27:46 h202n1fls29o1079 kernel: irq 19: nobody cared!
(screaming interrupt?)
Aug  8 11:27:46 h202n1fls29o1079 kernel: irq 19: Please try booting
with acpi=off and report a bug
Aug  8 11:27:46 h202n1fls29o1079 kernel:  [<021078c2>]
__report_bad_irq+0x3a/0x77
Aug  8 11:27:46 h202n1fls29o1079 kernel:  [<0210795e>]
note_interrupt+0x43/0x66
Aug  8 11:27:46 h202n1fls29o1079 kernel:  [<02107c8d>] do_IRQ+0x17a/0x202
Aug  8 11:27:46 h202n1fls29o1079 kernel:  [<02117826>]
smp_apic_timer_interrupt+0x124/0x129
Aug  8 11:27:46 h202n1fls29o1079 kernel:  [<02104018>]
default_idle+0x0/0x2c
Aug  8 11:27:46 h202n1fls29o1079 kernel:  [<02104041>]
default_idle+0x29/0x2c
Aug  8 11:27:46 h202n1fls29o1079 kernel:  [<0210409d>] cpu_idle+0x26/0x3b
Aug  8 11:27:46 h202n1fls29o1079 kernel:  [<021221cc>]
call_console_drivers+0xbe/0xe3
Aug  8 11:27:46 h202n1fls29o1079 kernel:  [<021224ab>] printk+0x1e5/0x21b
Aug  8 11:27:46 h202n1fls29o1079 kernel: handlers:
Aug  8 11:27:46 h202n1fls29o1079 kernel: [<32dc3014>]
(snd_emu10k1_interrupt+0x0/0x2b0 [snd_emu10k1])
Aug  8 11:27:46 h202n1fls29o1079 kernel: Disabling IRQ #19

And from /proc/interrupts:

 19:      47306      52694   IO-APIC-level  EMU10K1, bttv0

Would this shed some light on the problem? Will try with acpi=off and
see if it helps...
Comment 3 David Juran 2004-08-10 17:54:11 EDT
No, that was a false track... disabled ACPI and the messages about
screaming IRQ went away, but tvtime still fails and I'm still getting
those messages about bttv timing out and resetting.
Comment 4 David Juran 2004-08-31 16:19:05 EDT
Just noticed that this seems to work with the uniprocessor
kernel-2.6.8-1.521 but not with the SMP version on my dual CPU machine.
Comment 5 David Juran 2004-09-15 13:41:43 EDT
Adding the boot option noapic, as suggested by Erik Slagter, solves
(or at least works around) the problem.
Comment 6 Dave Jones 2005-04-16 00:08:01 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.